.gameCard {
    background-color: var(--main-font-color);
    color: var(--main-bg-color-header);
    max-width: 330px;
    width: 100%;
    min-height: 390px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    border-radius: 25px 25px 10px 25px;
    padding: 18px;
    margin: 20px 15px;
    -webkit-box-shadow: 0px 0px 5px 8px rgba(87, 87, 87, 0.25); 
    box-shadow: 0px 0px 5px 8px rgba(87,87,87,0.25);
    position: relative;
}

.gameCard > .CardImageContainer {
    position: relative;
    max-width: 100%;
    width: 100%;
    max-height: 50%;
    height: 50%;
    border-radius: 10px 10px 0 0;
    flex-shrink: 0;
}

.gameCard > .CardImageContainer > img {
    display: block;
    min-height: 100%;
    width: 100%;
    object-fit: fill;
    border-radius: 25px 25px 0 0;
}

.gameCard > .CardImageContainer > img[src='/images/pulp.gif'] {
    max-height: 230px;
}

.title-genre__container {
    width: 100%;
    margin: 5px 0px 15px 0px;
}

.gameCard__title {
    font-weight: 600;
    font-size: 1.1em;
}

.gamecard__separator__container {
    padding: 3px 15px;
    height: auto;
    width: 100%;
}

.gamecard__separator {
    border-radius: 35px;
    height: 3px;
    background-color: var(--main-accent-dark-color);
}

.date__container {
    margin: 10px 0px 10px 0px;
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: start;
    min-height: 40px;
    width: 100%;
}

.gameCard__date__img {
    height: 28px;
    width: 28px;
    margin: auto 10px;
}

.gameCard__date {
    font-size: 0.9em;
    margin: auto 10px auto 0px;
}

.metacritic__container {
    position: absolute;
    height: 35px;
    width: 35px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    top: 9px;
    right: 9px;
    border-radius: 50%;
    font-weight: 600;
    font-size: 1em;
    color: var(--main-accent-dark-color);
    -webkit-box-shadow: 0px 0px 12px 4px rgba(0,0,0,0.22); 
    box-shadow: 0px 0px 12px 4px rgba(0,0,0,0.22);
}

.metacritic__container.low__metacritic {
    background-color: var(--main-accent-red-color);

}

.metacritic__container.medium__metacritic {
    background-color: var(--main-accent-color);
   
}

.metacritic__container.high_metacritic {
    background-color: var(--main-accent-green-color);

}

.favoritesButton__container {
    position: absolute;
    right: 10px;
    bottom: 0px;
    transform: translateY(50%);
    cursor: pointer;
}

.favoritesButton {
    height: 35px;
    width: 35px;
    filter: drop-shadow(0 4px 4px rgba(0,0,0,0.22)); 
    transition: all 0.3s ease;
}

.arrow__container_a {
    position: absolute;
    bottom: 0;
    transform: translate(35%, 35%);
    right: 0;
    transition: all 0.3s ease;
}

.arrow__container_a:hover {
    transform: translate(35%, 35%) scale(1.2);
}

.more_arrow {    
    filter: grayscale(0);
    height: 35px;
    width: 35px;
    filter: drop-shadow(0 4px 4px rgba(0,0,0,0.22));
}


.favoritesButton[src='/images/heart_unfav.svg'] {
    animation: 0.8s ease 0s 1 normal forwards zwipzwip;
}

.favoritesButton[src='/images/heart_fav.svg'] {
    animation: 1.3s cubic-bezier(.84,.03,.29,1.04) 0s 1 normal forwards zwipzwip2;
}

.favoritesButton:hover, .favoritesButton[src='/images/heart_fav.svg']:hover, .favoritesButton[src='/images/heart_unfav.svg']:hover {
    display: inline-block;
    transform: rotate(50deg);
}

@keyframes zwipzwip {
    0% {
        transform: rotate(-10deg) scale(1.2);
    }
    50% {
        transform: rotate(10deg);
    }
    100% {
        transform: rotate(0deg) scale(1);
    }
}

@keyframes zwipzwip2 {
    0% {
        transform: rotate(0deg) scale(1.3);
    }
    10% {
        transform: rotate(-30deg);
    }
    60% {
        transform: rotate(360deg);
    }
    80% {
        transform: rotate(320deg);
    }
    100% {
        transform: rotate(360deg) scale(1);
    }
}
